---
# Cop supports --autocorrect.
Style/Lambda:
  Details: grace period
  Exclude:
    - 'app/controllers/concerns/project_unauthorized.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/models/concerns/featurable.rb'
    - 'app/models/project_feature.rb'
    - 'app/serializers/ci/daily_build_group_report_result_entity.rb'
    - 'app/serializers/group_child_entity.rb'
    - 'app/serializers/issuable_sidebar_basic_entity.rb'
    - 'app/serializers/merge_request_sidebar_basic_entity.rb'
    - 'config/application.rb'
    - 'config/initializers/0_license.rb'
    - 'config/initializers/action_cable.rb'
    - 'config/initializers/gitlab_experiment.rb'
    - 'config/initializers/lograge.rb'
    - 'config/routes.rb'
    - 'config/routes/dashboard.rb'
    - 'config/routes/group.rb'
    - 'config/routes/issues.rb'
    - 'ee/app/controllers/concerns/ee/routable_actions/sso_enforcement_redirect.rb'
    - 'ee/app/serializers/ee/group_child_entity.rb'
    - 'ee/app/services/ee/issues/export_csv_service.rb'
    - 'ee/lib/ee/api/entities/group_detail.rb'
    - 'ee/lib/ee/api/entities/group_push_rule.rb'
    - 'ee/lib/ee/banzai/filter/sanitization_filter.rb'
    - 'ee/lib/ee/gitlab/checks/diff_check.rb'
    - 'ee/lib/elastic/latest/application_class_proxy.rb'
    - 'ee/lib/gem_extensions/elasticsearch/model/adapter/active_record/importing.rb'
    - 'ee/spec/elastic_integration/global_search_spec.rb'
    - 'ee/spec/lib/gitlab/geo/event_gap_tracking_spec.rb'
    - 'ee/spec/services/ee/groups/autocomplete_service_spec.rb'
    - 'ee/spec/support/helpers/elasticsearch_helpers.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/middleware/maintenance_mode_gitlab_ee_instance_shared_examples.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/middleware/read_only_gitlab_ee_instance_shared_examples.rb'
    - 'lib/api/entities/label.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/entities/project_export_status.rb'
    - 'lib/api/validations/types/comma_separated_to_array.rb'
    - 'lib/api/validations/types/comma_separated_to_integer_array.rb'
    - 'lib/api/validations/types/hash_of_integer_values.rb'
    - 'lib/api/validations/validators/check_assignees_count.rb'
    - 'lib/banzai/filter/ascii_doc_sanitization_filter.rb'
    - 'lib/banzai/filter/base_sanitization_filter.rb'
    - 'lib/banzai/filter/sanitization_filter.rb'
    - 'lib/gitlab/action_cable/request_store_callbacks.rb'
    - 'lib/gitlab/checks/diff_check.rb'
    - 'lib/gitlab/database/load_balancing/action_cable_callbacks.rb'
    - 'lib/gitlab/middleware/rack_multipart_tempfile_factory.rb'
    - 'lib/gitlab/omniauth_initializer.rb'
    - 'lib/gitlab/prometheus/queries/query_additional_metrics.rb'
    - 'lib/gitlab/rack_attack.rb'
    - 'lib/gitlab/sidekiq_config/worker_matcher.rb'
    - 'lib/gitlab/sidekiq_middleware.rb'
    - 'lib/gitlab/utils/usage_data.rb'
    - 'qa/qa/runtime/allure_report.rb'
    - 'qa/qa/specs/features/api/1_manage/import/import_large_github_repo_spec.rb'
    - 'qa/qa/support/api.rb'
    - 'rubocop/cop/inject_enterprise_edition_module.rb'
    - 'rubocop/cop/rspec/have_gitlab_http_status.rb'
    - 'spec/controllers/concerns/routable_actions_spec.rb'
    - 'spec/features/groups/dependency_proxy_for_containers_spec.rb'
    - 'spec/graphql/types/base_object_spec.rb'
    - 'spec/lib/gitlab/action_cable/request_store_callbacks_spec.rb'
    - 'spec/lib/gitlab/cross_project_access/class_methods_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/action_cable_callbacks_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/application_context_tracer_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/timer_tracer_spec.rb'
    - 'spec/lib/gitlab/middleware/rack_multipart_tempfile_factory_spec.rb'
    - 'spec/lib/gitlab/path_regex_spec.rb'
    - 'spec/services/groups/autocomplete_service_spec.rb'
    - 'spec/services/issues/referenced_merge_requests_service_spec.rb'
    - 'spec/services/projects/autocomplete_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_download_link_list_service_spec.rb'
    - 'spec/support/helpers/email_helpers.rb'
    - 'spec/support/helpers/reference_parser_helpers.rb'
    - 'spec/support/shared_examples/lib/gitlab/middleware/read_only_gitlab_instance_shared_examples.rb'
